// *******************************************************************
// Copyright (C) 2009 Telos Systems, TLS Corp.
// All rights reserved.
//
// No part of this source code or associated documentation may be 
// reproduced or utilized in any form or by any means, electronic or 
// mechanical, without permission in writing from TLS Corp.
// -------------------------------------------------------------------
//      File: APSend.h
// Description: See class description.
//    Author: Ioan L. Rus
//      Date: Nov 18, 2009
// Revisions: 
// -------------------------------------------------------------------
// INI Date        Description
// --- ----------- ---------------------------------------------------
// 
// *******************************************************************
#include "APReceive.h"

APReceive::APReceive(IAPEvents *pEvents)
:
m_msgParser(&m_decoder),
m_decoder(pEvents)
{
}

bool APReceive::ParseChar(char ch)
{
  return m_msgParser.PushChar(ch);
}

